
///////////////////////////////////////////////////////////
// Company         : Micro Digital                       //
// Address         : Office # C7 Raza Plaza              //
//                   DAV College Road                    //
//                   Rawalpindi,                         //
//                   Pakistan.                           //
// Programmed By   : Rashid Mehmood                      //
// Project Name    : PC Serial Port Interface To 8051    //
// Crystal         : 24.000000 MHz                       //
// Microcontroller : AT89C51-C52-C55-S51-S52             //
///////////////////////////////////////////////////////////

// Header file for AT89x51 regiter definitions.
#include <AT89x51.H>

// Header file for serial communication functions.
#include "Serial.h"

sbit Dev0 = P2^0;
sbit Dev1 = P2^1;
sbit Dev2 = P2^2;
sbit Dev3 = P2^3;
sbit Dev4 = P2^4;
sbit Dev5 = P2^5;
sbit Dev6 = P2^6;
sbit Dev7 = P2^7;

void main()
{
	InitSerial();

	// Print title information on PC.
	uputs("PC Serial Port Interface To 8051\r\r\0");
	uputs("By    : Micro Digital\r\0");
	uputs("Email : udigital.solutions@gmail.com\r\0");
	uputs("Cell  : +92-332-555-8051\r\r\0");
	/////////////////////////////////////////////////////////

	uputs("Press a key from 0 to 7\r");
	while(1)
	{
		switch(ugetc())
		{
		case '0':
			Dev0 = ~Dev0;
			break;
		
		case '1':
			Dev1 = ~Dev1;
			break;
		
		case '2':
			Dev2 = ~Dev2;
			break;
		
		case '3':
			Dev3 = ~Dev3;
			break;
		
		case '4':
			Dev4 = ~Dev4;
			break;
		
		case '5':
			Dev5 = ~Dev5;
			break;
		
		case '6':
			Dev6 = ~Dev6;
			break;
		
		case '7':
			Dev7 = ~Dev7;
			break;
		
		}
	}
}

